Subject: Re: [PATCH v2 4/5] t3301: use test_must_fail instead of !

From: Thomas Rast <[email-masked]>
Date: Tue, 17 Feb 2009 09:46:48 +0100

Thomas Rast wrote:
> Junio C Hamano wrote:
> > Thomas Rast <[email-masked]> writes:
> > 
> > > +	MSG=3 test_must_fail git notes edit
> > 
> > test_must_fail is a shell function, and we have precedence 2d60615 (tests:
> > Avoid single-shot environment export for shell function invocation,
> > 2009-01-26) to avoid this construct.
> 
> I see you took this into the pu branch (currently as 891840b).  I
> assumed you would simply drop it, given the incompatibility?  I'd
> rather have the slight chance of missing a segfault while git is
> trying to execute a shell script (what are the odds that it only does
> so for git-notes?) than be killed by an angry mob of ash users ;-)

Oh, you fixed it up locally, and the next one in the series too.
Thanks, and sorry for the noise!

-- 
Thomas Rast
trast@{inf,student}.ethz.ch